#property copyright "Stage3forex.com"
#property link      "info@stage3forex.com"

#property indicator_separate_window
#property indicator_buffers 5
#property indicator_color1 Goldenrod
#property indicator_width1 5
#property indicator_color2 SeaGreen
#property indicator_width2 5
#property indicator_color3 Maroon
#property indicator_width3 5
#property indicator_color4 Orange
#property indicator_width4 2
#property indicator_color5 PaleGreen
#property indicator_width5 2

double g_ibuf_76[];
double g_ibuf_80[];
double g_ibuf_84[];
double g_ibuf_88[];
double g_ibuf_92[];

extern int ATR1 = 7;
extern int ATR2 = 14;
extern int ATR3 = 300;

int init() {
   SetIndexStyle(0, DRAW_HISTOGRAM);
   SetIndexBuffer(0, g_ibuf_76);
   SetIndexStyle(1, DRAW_HISTOGRAM);
   SetIndexBuffer(1, g_ibuf_80);
   SetIndexStyle(2, DRAW_HISTOGRAM);
   SetIndexBuffer(2, g_ibuf_84);
   SetIndexStyle(3, DRAW_LINE);
   SetIndexBuffer(3, g_ibuf_88);
   SetIndexStyle(4, DRAW_LINE);
   SetIndexBuffer(4, g_ibuf_92);
   return (0);
}

int deinit() {
   return (0);
}

int start() {
   int li_4 = IndicatorCounted();
   if (li_4 < 0) return (-1);
   if (li_4 > 0) li_4--;
   int li_0 = Bars - li_4;
   for (int li_8 = 0; li_8 < li_0; li_8++) {
      g_ibuf_76[li_8] = iATR(NULL, 0, ATR3, li_8);
      g_ibuf_80[li_8] = iATR(NULL, 0, ATR1, li_8);
      g_ibuf_84[li_8] = iATR(NULL, 0, ATR2, li_8);
      g_ibuf_88[li_8] = iATR(NULL, 0, ATR2, li_8);
      g_ibuf_92[li_8] = iATR(NULL, 0, ATR1, li_8);
   }
   return (0);
}